import { Injectable } from "@angular/core";

@Injectable({
  providedIn: "root",
})
export class ToolService {
  menu: any = JSON.parse(localStorage.getItem("menu")) || []; //菜单
  constructor() {}
  // 获取权限中的院区
  getHospitalList() {
    return (
      JSON.parse(localStorage.getItem("user")).infoPermission.hospitals || []
    );
  }
  // 获取权限中的分组
  getGroupList() {
    return JSON.parse(localStorage.getItem("user")).infoPermission.groups || [];
  }
  // 获取当前院区
  getCurrentHospital() {
    return JSON.parse(localStorage.getItem("user")).user.currentHospital
      ? JSON.parse(localStorage.getItem("user")).user.currentHospital
      : JSON.parse(localStorage.getItem("user")).infoPermission.hospitals[0];
  }
  //获取当前菜单的权限
  initCoopBtns(route) {
    // 二级菜单
    let secondMenus = [];
    // 初始化增删改权限
    let coopBtns: any = {
      look: false,
      add: false,
      edit: false,
      del: false,
    };
    this.menu.forEach((e) => {
      e.childrens.forEach((el) => {
        secondMenus.push(el);
      });
    });
    let link = route.parent.snapshot.routeConfig.path;
    let btns = [];
    secondMenus.forEach((e) => {
      if (e.link == link) {
        btns = e.childrens || [];
      }
    });
    btns.forEach((e) => {
      switch (e.link) {
        case "look":
          coopBtns.look = true;
          break;
        case "add":
          coopBtns.add = true;
          break;
        case "edit":
          coopBtns.edit = true;
          break;
        case "del":
          coopBtns.del = true;
          break;
      }
    });
    return coopBtns;
  }
}
